apiVersion: apps/v1
kind: Deployment
metadata:
  name: mock-legalization-process
  labels:
    {{- include "mock-legalization-process.labels" . | nindent 4 }}
spec:
  replicas: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: mock-legalization-process
  template:
    metadata:
      labels:
        app: mock-legalization-process
    spec:
      securityContext:
        runAsUser: 1001
      containers:
        - name: mock-legalization-process
          image: "{{ .Values.image.registry}}/{{ .Values.image.repository }}:{{ .Values.image.tag | default (printf "%s%s" "v" $.Chart.AppVersion) }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          resources:
            requests:
              memory: "64Mi"
              cpu: "50m"
            limits:
              memory: "64Mi"
              cpu: "200m"
          env:
            - name: LISTEN_ADDRESS
              value: "0.0.0.0:{{ .Values.config.containerPort }}"
            - name: LEGALIZATION_SERVICE_ADDRESS
              value: {{ .Values.config.legalizationServiceAddress | quote }}
            - name: LEGALIZATION_SERVICE_API_KEY
              value: {{ .Values.config.legalizationServiceAPIKey }}
            - name: SESSION_SERVICE_ADDRESS
              value: {{ .Values.config.sessionServiceAddress | quote }}
            - name: SESSION_SERVICE_API_KEY
              value: {{ .Values.config.sessionServiceAPIKey }}
            - name: BK_CONFIG_SERVICE_ADDRESS
              value: {{ .Values.config.bkConfigServiceAddress | quote }}
            - name: BK_CONFIG_SERVICE_API_KEY
              value: {{ .Values.config.bkConfigServiceAPIKey }}
            - name: LEGALIZATION_EXPIRATION_MINUTES
              value: {{ .Values.config.legalizationExpirationMinutes | quote }}
            - name: LEGALIZED_CERTIFICATE_EXPIRATION_MINUTES
              value: {{ .Values.config.legalizedCertificateExpirationMinutes | quote }}
            - name: LOG_LEVEL
              value: debug
          ports:
            - name: http
              containerPort: {{ .Values.config.containerPort }}
              protocol: TCP
          readinessProbe:
            httpGet:
              path: /v1/health/check
              port: http
          livenessProbe:
            httpGet:
              path: /v1/health
              port: http
      restartPolicy: Always
